---
search:
  tags:
    - Challenges
    - PATCH
seo:
  description: >-
    Edit a challenge's own fields. Reference for the PATCH
    /api/admin/challenges/{id} endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Edit a challenge's own fields
  badge: PATCH
title: Edit a challenge's own fields
type: openapi-operation
---
`PATCH /api/admin/challenges/{id}`

**Request body** (`application/json`, required)

- `title` (string)
- `categoryId` (string)
- `difficultyId` (string)
- `description` (string)
- `points` (integer)
- `maxAttempts` (integer | null)
- `userSolvesVisible` (boolean)
- `scoringType` (string)
- `initialPoints` (integer | null)
- `minimumPoints` (integer)
- `decayFactor` (integer)
- `containerSpec` (object | null)

Request body example:

```json
{
  "title": "string",
  "categoryId": "string",
  "difficultyId": "string",
  "description": "string",
  "points": 1,
  "maxAttempts": 0,
  "userSolvesVisible": true,
  "scoringType": "static",
  "initialPoints": 1,
  "minimumPoints": 0,
  "decayFactor": 0,
  "containerSpec": {
    "size": "s",
    "services": [
      {
        "name": "string",
        "image": "string",
        "command": [
          "string"
        ],
        "environment": {
          "property1": "string",
          "property2": "string"
        },
        "ports": [
          {
            "port": 1,
            "kind": "web"
          }
        ]
      }
    ]
  }
}
```

**Responses**

- `200` — Response for status 200
- `400` — Response for status 400
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `429` — Response for status 429
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "title": "string",
  "status": "hidden",
  "releaseAt": "2019-08-24T14:15:22Z",
  "points": 0,
  "scoringType": "static",
  "initialPoints": 0,
  "minimumPoints": 0,
  "decayFactor": 0,
  "dynamicFlag": true,
  "containerSpec": {
    "size": "s",
    "services": [
      {
        "name": "string",
        "image": "string",
        "command": [
          "string"
        ],
        "environment": {
          "property1": "string",
          "property2": "string"
        },
        "ports": [
          {
            "port": 1,
            "kind": "web"
          }
        ]
      }
    ]
  }
}
```
